{% load reviews_tags %}
{% load thumbnail %}
{% load i18n %}
{% load display_tags %}
{% load staticfiles %}
{% load purchase_info_tags %}
{% load product_delivery_day %}

{% purchase_info_for_product request product as session %}

{% with session.price as price %}
{% with session.availability.is_available_to_buy as is_available_to_buy %}
{% with price.has_range_discount as has_range_discount %}
{% if display_vertical %}
    <div class="product {% if has_range_discount or product.present %}sales{% endif %}">
        <div class="img-block">
            {% if has_range_discount %}
            <div class="badge">СКИДКА</div>
            {% endif %}
            {% if product.present %}
            <div class="surprise">+ ПОДАРОК</div>
            {% endif %}
            {% with image=product.primary_image %}
                {% thumbnail image.original "210x220" padding=True as thumb %}
                <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">
                    <img src="{{ thumb.url }}" alt="{{ product.get_title }}">
                </a>
                {% endthumbnail %}
            {% endwith %}
        </div>
        <div class="desk">
            <h2 class="text"><a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">{{ product.get_title }}</a></h2>
            <div class="price price__new">
                <div class="rub-icon">
                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                    </svg>
                </div>
                {% if has_range_discount %}
                    {% if price.is_tax_know %}
                        {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                    {% endif %}
                {% else %}
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }}
                    {% endif %}
                {% endif %}
            </div>
            {% if has_range_discount %}
                <div class="price__old">
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }}
                    {% endif %}
                </div>
            {% endif %}
            {% if not product.is_parent %}
                {% with product.pk|stringformat:"s" as key %}
                    {% with submit_prefix as submit_prefix %}
                    {% with "product-preview-add-form_"|add:submit_prefix|add:product.product_class.slug|add:key as form_name %}
                        {% include "catalogue/partials/add_to_basket_form_compact.html" with product=product name=form_name %}
                    {% endwith %}
                    {% endwith %}
                {% endwith %}
            {% endif %}
            {% if is_available_to_buy %}
            <button class = "btn btn-block btn__gray fastbuy" data-toggle="modal" data-target="#fastbuy"
                data-product-id="{{ product.id }}" data-product-title="{{ product.title }}"
                data-product-price="{% spaceless %}
                    {% if has_range_discount %}
                        {% if price.is_tax_know %}
                            {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                        {% else %}
                            {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                        {% endif %}
                    {% else %}
                        {% if price.is_tax_know %}
                            {{ price.incl_tax|floatformat:0 }}
                        {% else %}
                            {{ price.excl_tax|floatformat:0 }}
                        {% endif %}
                    {% endif %}
                {% endspaceless %}"
                {% thumbnail product.primary_image.original '370x370' padding=True as im %}
                data-product-img="{{ im.url }}"
                {% endthumbnail %}
            >Быстрая покупка</button>
            {% endif %}
        </div>
        {% include "web/partials/loading_overlay.html" %}
    </div>
{% else %}
    <div class="cat-product {% if has_range_discount or product.present %}sales{% endif %}">
        {% if has_range_discount %}
        <div class="badge">СКИДКА</div>
        {% endif %}
        {% if product.present %}
        <div class="surprise">+ ПОДАРОК</div>
        {% endif %}
        <div class="wrap clearfix">
            <div class="img-block">
                 {% with image=product.primary_image %}
                    {% thumbnail image.original "180x180" padding=True upscale=False as thumb %}
                    <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">
                        <img src="{{ thumb.url }}" alt="{{ product.get_title }}">
                    </a>
                    {% endthumbnail %}
                {% endwith %}
            </div>
            <div class="desc">
                <h2 class="name"><a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">{{ product.get_title }}</a></h2>
                <ul class="list-unstyled">
                    <li class="upc"><span class="name">Артикул: </span>{{ product.upc }}</li>
                    {% for attribute_value in product.preview_attribute_values %}
                        {% with attribute_value.attribute as attribute %}
                            <li>
                                <span class="name">{{ attribute.name }}:</span>
                                {{ attribute_value.value_as_text|striptags }}
                            </li>
                        {% endwith %}
                    {% endfor %}
                </ul>
                <div class="fvailability">
                    {% get_delivery_day product %}
                </div>
            </div>
            <div class="btns">
                {% if has_range_discount %}
                    <div class="price__old">
                        <span class="price-original">
                            {% if price.is_tax_know %}
                                {{ price.incl_tax|floatformat:0 }}
                            {% else %}
                                {{ price.excl_tax|floatformat:0 }}
                            {% endif %}
                        </span>
                    </div>
                {% endif %}
                <div class="price">
                    цена
                    <span class="big">
                        {% if has_range_discount %}
                            {% if price.is_tax_know %}
                                {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                            {% else %}
                                {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                            {% endif %}
                        {% else %}
                            {% if price.is_tax_know %}
                                {{ price.incl_tax|floatformat:0 }}
                            {% else %}
                                {{ price.excl_tax|floatformat:0 }}
                            {% endif %}
                        {% endif %}
                    </span>
                    <span class="rub-icon">
                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6 h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                        </svg>
                    </span>
                </div>
                {% if not product.is_parent %}
                    {% with product.pk|stringformat:"s" as key %}
                        {% with submit_prefix as submit_prefix %}
                        {% with "product-preview-add-form_"|add:submit_prefix|add:product.product_class.slug|add:key as form_name %}
                            {% include "catalogue/partials/add_to_basket_form_compact.html" with product=product name=form_name %}
                        {% endwith %}
                        {% endwith %}
                    {% endwith %}
                {% endif %}
                {% if is_available_to_buy %}
                <button class = "btn btn-block btn__gray fastbuy" data-toggle="modal" data-target="#fastbuy"
                    data-product-id="{{ product.id }}" data-product-title="{{ product.title }}"
                    data-product-price="{% spaceless %}
                        {% if has_range_discount %}
                            {% if price.is_tax_know %}
                                {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                            {% else %}
                                {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                            {% endif %}
                        {% else %}
                            {% if price.is_tax_know %}
                                {{ price.incl_tax|floatformat:0 }}
                            {% else %}
                                {{ price.excl_tax|floatformat:0 }}
                            {% endif %}
                        {% endif %}
                    {% endspaceless %}"
                    {% thumbnail product.primary_image.original '370x370' padding=True as im %}
                    data-product-img="{{ im.url }}"
                    {% endthumbnail %}
                >Быстрая покупка</button>
                {% endif %}
            </div>
        </div>
        {% include "web/partials/loading_overlay.html" %}
    </div>
{% endif %}
{% endwith %}
{% endwith %}
{% endwith %}
